#
# spec file for package pacpl
#
# Copyright (c) 2018 Packman Team <packman@links2linux.de>
# Copyright (c) 2011-2012 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


Name:           pacpl
Version:        6.1.0
Release:        1.2
Summary:        A tool to convert audio files between many different types
License:        GPL-3.0
Group:          Productivity/Multimedia/Sound/Editors and Convertors
URL:            http://sourceforge.net/projects/pacpl
Source0:        https://sourceforge.net/projects/pacpl/files/pacpl/%{version}/pacpl-%{version}.tar.gz
# PATCH-FIX-OPENSUSE pacpl-fix-docs-and-paths.patch malcolmlewis@opensuse.org -- Fix docdir and kde4 directory paths, add missing ChangeLog and COPYING
Patch0:         pacpl-fix-docs-and-paths.patch
BuildRequires:  perl(Audio::APETags)
BuildRequires:  perl(Audio::FLAC::Header)
BuildRequires:  perl(Audio::Musepack)
BuildRequires:  perl(Audio::WMA)
BuildRequires:  perl(CDDB_get)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(MP3::Tag)
BuildRequires:  perl(MP4::Info)
BuildRequires:  perl(Ogg::Vorbis::Header)
BuildRequires:  perl(Parse::RecDescent)
BuildRequires:  perl(Devel::Symdump)
BuildRequires:  perl(Pod::Coverage)
BuildRequires:  perl(Parallel::ForkManager)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Audio::Scan)
BuildRequires:  perl(MP3::Info)
BuildRequires:  perl(IO::String)
BuildRequires:  perl(CDDB)
BuildRequires:  perl(Switch)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
Requires:       perl(Audio::APETags)
Requires:       perl(Audio::FLAC::Header)
Requires:       perl(Audio::Musepack)
Requires:       perl(Audio::WMA)
Requires:       perl(CDDB_get)
Requires:       perl(File::Basename)
Requires:       perl(File::Find)
Requires:       perl(File::Spec::Functions)
Requires:       perl(Getopt::Long)
Requires:       perl(MP3::Tag)
Requires:       perl(MP4::Info)
Requires:       perl(Ogg::Vorbis::Header)
Requires:       perl(Switch)
Requires:       perl(strict)
Requires:       perl(warnings)
Recommends:     bonk
Recommends:     cdparanoia
Recommends:     faac
Recommends:     faad2
Recommends:     ffmpeg
Recommends:     flac
Recommends:     lame
Recommends:     mac
Recommends:     mpg123
Recommends:     mplayer
Recommends:     shorten
Recommends:     sox
Recommends:     speex
Recommends:     ttaenc
Recommends:     vorbis-tools
Recommends:     wavpack
BuildArch:      noarch

%description
Perl Audio Converter is a tool for converting multiple audio
types from one format to another. It supports MP2, MP3, Ogg Vorbis,
FLAC,  Shorten,  Monkey  Audio,  FAAC  (AAC/M4A/MP4),  Musepack (MPC),
Wavpack  (WV), OptimFrog (OFR/OFS), TTA, LPAC, Kexis (KXS), AIFF, AC3,
Lossless Audio (LA), BONK, AU, SND, RAW, VOC, SMP, RealAudio (RA/RAM),
WAV,  and  WMA.  It  can  also  convert audio from the following video
formats/extensions:  RM, RV, ASF, DivX, MPG, MKV, MPEG, AVI, MOV, OGM,
QT,  VCD, VOB, and WMV. A CD ripping function with CDDB support, batch
and  playlist conversion, tag preservation for most supported formats,
independent  tag  reading/writing.

%package -n kf5-%{name}-plugins
Summary:        KF5 plugins
Group:          Productivity/Multimedia/Sound/Editors and Convertors
BuildRequires:  kdialog
BuildRequires:  kf5-filesystem
BuildRequires:  update-desktop-files
Requires:       %{name}
Requires:       kf5-filesystem

%description -n kf5-%{name}-plugins
Provides a plugin for amaroK and service menus for Dolphin and
Konqueror.

%prep
%setup -q
%patch0 -p1
sed -e '/^Icon/cIcon=%{name}' -e '/^Exec/cExec=PACPL-Konvert' \
    -i plugins/kde/pacpl.desktop
sed -e '/EXTRA/d' -i Makefile.in
cp ChangeLog.txt ChangeLog

%build
%configure
make %{?_smp_mflags}

%install
%make_install
rm -f %{buildroot}%{_sysconfdir}/%{name}/pacpl.png \
      %{buildroot}%{_defaultdocdir}/%{name}/INSTALL
install -m0644 extra/README.module extra/sample.m -t %{buildroot}%{_defaultdocdir}/%{name}
install -D -m0644 pacpl.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -m0755 plugins/kde/PACPL-Konvert -t %{buildroot}%{_bindir}
install -D -m0644 plugins/kde/pacpl.desktop %{buildroot}%{_kf5_servicesdir}/%{name}.desktop
%suse_update_desktop_file %{buildroot}%{_kf5_servicesdir}/%{name}.desktop

%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%doc %{_docdir}/%{name}
%{_mandir}/man1/*%{ext_man}
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/modules
%config %{_sysconfdir}/%{name}/codecs.conf
%config %{_sysconfdir}/%{name}/pacpl.conf

%files -n kf5-%{name}-plugins
%{_bindir}/PACPL-Konvert
%{_datadir}/pixmaps/%{name}.png
%{_kf5_servicesdir}/%{name}.desktop

%changelog
* Tue Oct  9 2018 aloisio@gmx.com
- Update to version 6.1.0
  * fixed kdialog ouput directory space issue
    thanks to Jeremy Rehbaum (JRehbaum@juno.com)
  * incorporated patches from Paulo Marcel Coelho Aragão
    + fix blank WMA tags
    + fix decoder not working for WMA
    + fix overwrite check to act more appropriately
    + fix DEFOPTS = 0 to work as intended
    + added alac-decoder support for .mp4 files
    + added .gitignore
    + fixed handling of m4a (AAC) codec handling
  * incoporated patches from Reuben Thomas (rrt@sc3d.org)
    + fix installaton under different prefix and/or DESTDIR
    + fix hardwired pathes in pacpl
  * note:  with above patches pacpl is now pacpl.in which will
    be renamed after configure
  * updated Makefile.am to remove pacpl with "make distclean"
* Sat Mar 10 2018 aloisio@gmx.com
- Update to version 5.1.0 (see ChangeLog)
- Refreshed pacpl-fix-docs-and-paths.patch
* Sun Jan 29 2012 malcolmlewis@opensuse.org
- Update requires for perl-Switch.
- Update copyright year.
* Mon Jul 11 2011 malcolmlewis@opensuse.org
- Update Requires for perl modules.
- Updated Recommends for various codecs that are available.
* Sat Jul  9 2011 malcolmlewis@opensuse.org
- Split out the KDE4 components into a subpackage.
* Fri Jul  8 2011 malcolmlewis@opensuse.org
- Initial build.
- pacpl-fix-docs-and-paths.patch added to fix docdir and kde4
  directory paths and add missing ChangeLog and COPYING.
